const icecat = require('icecat');
 
const icecatClient = new icecat('username', 'password');
 
// Language: en, GTIN: 4948570114344 (GTIN: EAN, UPC or JAN)  
icecatClient.openCatalog.getProduct('en', '4948570114344').then(function (product) {
    console.log('Description: ' + product.getLongDescription());
    
    const productImages = product.getImages();
 
    console.log('Product images:');
    for (let i in productImages) {
        console.log(productImages[i].TumbImg);
    }
    
}).catch(function (reason) {
    console.error('Error or timeout', reason);
});;
